%
% blue_select_simrun.m
%
% Run a simulation that rewards the camera organism for Nodding to blue
% stimuli and Shaking to other (visual) stimuli.
%
% Last modification: 8/22/07


% Pick the next event (curr_event_type is currently event_null).
if (last_event_type == event_delay)   
    curr_iter_time = (iter - 1) * iter_duration;
    max_duration = num_iters * iter_duration;
    if (curr_iter_time < max_duration - vis_stim_duration - delay_duration)   
        r = rand;
        if (r < blue_stim_thresh)
            curr_event_type = event_blue_accept;
        elseif (r < red_stim_thresh)
            curr_event_type = event_red_reject;
        elseif (r < green_stim_thresh)
            curr_event_type = event_green_reject;
        elseif (r < yellow_stim_thresh)
            curr_event_type = event_yellow_reject;
        else
            curr_event_type = event_violet_reject;
        end;
    else
        delay_duration = max_duration - curr_iter_time;
        curr_event_type = event_delay;
    end;
else
    curr_event_type = event_delay;
end;