%
% bsim_maintsubjruns.m
%
% Batch simulation script that creates a subject directory and runs a 
% of runs for maintenance data.
%
% Last modification: 1/21/08


% Set range of runs.
first_run = 1;
last_run = 4;

% Set path for new subject and make the directory.
runcoll_path = runcoll_exemplar;
% runcoll_path = runcoll_stats;
taskset_path = taskset_TOBS_TOBSrev;
% taskset_path = taskset_TOBS1c_TOBS1crev;
% taskset_path = taskset_TOBS2c_TOBS2crev;
simphases_path = simphases_maint;
manip_path = manip_normal;
subj_num = 1;
run_num = 1;
bsim_setdatapath;
disp(path_name);
proceed = input('Ready to create above directory. Proceed? (1=yes) ');
if (proceed ~= 1)
    disp('aborted');
    return;
end;
mkdir(path_name);

% Copy the right subject model over into the working directory.
sfname = strcat(path_pfx1,path_pfx2,path_pfx3,path_pfx4,'subjs/', ...
    'subj',num2str(subj_num),'_modl.mat');
tfname = strcat(train_model_fname,'.mat');
prompt_str = strcat('Ready to copy\n',sfname,'\nto\n',tfname, ...
    '.  \nProceed?  (1=yes) ');
proceed = input(prompt_str);
if (proceed ~= 1)
    disp('aborted');
    return;
end;
cp_err = copyfile(sfname,tfname);
if (cp_err == 0)
    disp('The subject file doesn''t exist.');
end;

% Remember that we're not starting with a fresh model.
fresh_model = 0;

% Prompt about starting runs.
proceed = input('Ready to run subject.  Is DA cond set?  Proceed? (1=yes) ');
if (proceed ~= 1)
    disp('aborted');
    return;
end;

% Run all of the maintenance runs.
for xx_msr = first_run:last_run
    run_num = xx_msr;
    bsim_setdatapath;
    run_pantilt_sim;
    save_simrun;
end;