%
% bsim_mkmultiruns.m
%
% Batch simulation script for generating multirun files for lots of DA 
% manipulation conditions and subjects.
%
% Last modification: 1/21/08


% Set paths
% manip_paths = [ manip_normal manip_NShypo05 manip_NShypo1 manip_NShypo15 ...
%     manip_NShypo2 manip_NShypo3 manip_NShyper05 manip_NShyper1 ...
%     manip_NShyper3 manip_NShyper5 ];
% manip_paths = [ manip_Bhypo05 manip_Bhypo1 manip_Bhypo15 ...
%     manip_Bhypo2 manip_Bhypo3 manip_Bhyper05 manip_Bhyper1 ...
%     manip_Bhyper3 manip_Bhyper5 ];
% manip_paths = [ manip_PRhypo05 manip_PRhypo1 manip_PRhypo15 ...
%     manip_PRhypo2 manip_PRhypo3 manip_PRhyper05 manip_PRhyper1 ...
%     manip_PRhyper3 manip_PRhyper5 ];
manip_paths = [ manip_ghypo05 manip_ghypo1 manip_ghypo15 ...
    manip_ghypo2 manip_ghypo3 manip_ghyper05 manip_ghyper1 ...
    manip_ghyper3 manip_ghyper5 ];

% Set subjects range
first_subj = 4;
last_subj = 10;

% Set path for new DA condition directory and make the directory.
runcoll_path = runcoll_stats;
taskset_path = taskset_TOBS1c_TOBS1crev;

% simphases_path = simphases_train;
% simphases_path = simphases_maint;
simphases_path = simphases_rev;

% Go through all of the desired manipulation conditions and subjects and
% show the directories have multirun files built in.
for xx = 1:size(manip_paths,2)
    manip_path = manip_paths(xx);
    for yy_mmr = first_subj:last_subj
        subj_num = yy_mmr;
        bsim_setdatapath;
        disp(path_name);
    end;
end;

% Prompt whether user wants to proceed.
proceed = input('Above are the directories to receive multiruns. Proceed? (1=yes) ');
if (proceed ~= 1)
    disp('aborted');
    return;
end;

% Go through all of the desired manipulation conditions and subjects and
% compile multirun files for these.
for xx = 1:size(manip_paths,2)
    manip_path = manip_paths(xx);
    for yy_mmr = first_subj:last_subj
        subj_num = yy_mmr;
        bsim_compileruns;
    end;
end;