%
% bsim_setdatapath.m
%
% Batch simulation script for setting the simulation data path.
%
% Last modification: 1/21/08


% Data directory structure...
% main_path/run_collection/task_set_schedule/phase/manipulation/subject

% Set path prefixes.

% Main path
switch basepath_path
    case basepath_cdrive
        path_pfx1 = '../dissertation_data/';       
    case basepath_fulldata
        path_pfx1 = 'E:/Non-Music Files/My Documents/Career/Graduate Studies/IU Research/MATLAB Code/dissertation_data/';
    case basepath_portdata
        path_pfx1 = 'E:/Non-Music Files/My Documents/Career/Graduate Studies/IU Research/MATLAB Code/dissertation_data_portable/';
end;

% Run collections
switch runcoll_path
    case runcoll_pilot
        path_pfx2 = 'pilot_runs/';
    case runcoll_exemplar
        path_pfx2 = 'exemplar_runs/';
    case runcoll_stats
        path_pfx2 = 'stats_runs/';        
end;

% Task set schedules
switch taskset_path
    case taskset_TOBS_TOBSrev
        path_pfx3 = 'TOBS_TOBSrev/';
    case taskset_SOBS_SOBSrev
        path_pfx3 = 'SOBS_SOBSrev/';
    case taskset_SOBS_TOBSrev_SOBS
        path_pfx3 = 'SOBS_TOBSrev_SOBS/';
    case taskset_TOBS1c_TOBS1crev
        path_pfx3 = 'TOBS1c_TOBS1crev/';
    case taskset_TOBS2c_TOBS2crev
        path_pfx3 = 'TOBS2c_TOBS2crev/';        
end;

% Training/testing phases
switch simphases_path
    case simphases_train
        path_pfx4 = 'train/';
    case simphases_maint
        path_pfx4 = 'maint/';
    case simphases_rev
        path_pfx4 = 'rev/';     
end;

% Manipulations
switch manip_path
    case manip_normal
        path_pfx5 = 'normal/';
    case manip_NShypo05
        path_pfx5 = 'NShypo05/';
    case manip_NShypo1
        path_pfx5 = 'NShypo1/';
    case manip_NShypo15
        path_pfx5 = 'NShypo15/';
    case manip_NShypo2
        path_pfx5 = 'NShypo2/';
    case manip_NShypo3
        path_pfx5 = 'NShypo3/';
    case manip_Bhypo05
        path_pfx5 = 'Bhypo05/';
    case manip_Bhypo1
        path_pfx5 = 'Bhypo1/';
    case manip_Bhypo15
        path_pfx5 = 'Bhypo15/';
    case manip_Bhypo2
        path_pfx5 = 'Bhypo2/';
    case manip_Bhypo3
        path_pfx5 = 'Bhypo3/';     
    case manip_PRhypo05
        path_pfx5 = 'PRhypo05/';
    case manip_PRhypo1
        path_pfx5 = 'PRhypo1/';
    case manip_PRhypo15
        path_pfx5 = 'PRhypo15/';
    case manip_PRhypo2
        path_pfx5 = 'PRhypo2/';
    case manip_PRhypo3
        path_pfx5 = 'PRhypo3/';                
    case manip_ghypo05
        path_pfx5 = 'ghypo05/';
    case manip_ghypo1
        path_pfx5 = 'ghypo1/';
    case manip_ghypo15
        path_pfx5 = 'ghypo15/';
    case manip_ghypo2
        path_pfx5 = 'ghypo2/';
    case manip_ghypo3
        path_pfx5 = 'ghypo3/';
    case manip_NShyper05
        path_pfx5 = 'NShyper05/';
    case manip_NShyper1
        path_pfx5 = 'NShyper1/';
    case manip_NShyper3
        path_pfx5 = 'NShyper3/';
    case manip_NShyper5
        path_pfx5 = 'NShyper5/';
    case manip_Bhyper05
        path_pfx5 = 'Bhyper05/';
    case manip_Bhyper1
        path_pfx5 = 'Bhyper1/';
    case manip_Bhyper3
        path_pfx5 = 'Bhyper3/';
    case manip_Bhyper5
        path_pfx5 = 'Bhyper5/';
    case manip_PRhyper05
        path_pfx5 = 'PRhyper05/';
    case manip_PRhyper1
        path_pfx5 = 'PRhyper1/';
    case manip_PRhyper3
        path_pfx5 = 'PRhyper3/';
    case manip_PRhyper5
        path_pfx5 = 'PRhyper5/';   
    case manip_ghyper05
        path_pfx5 = 'ghyper05/';
    case manip_ghyper1
        path_pfx5 = 'ghyper1/';
    case manip_ghyper3
        path_pfx5 = 'ghyper3/';
    case manip_ghyper5
        path_pfx5 = 'ghyper5/';
    case manip_normal_rew0
        path_pfx5 = 'normal_rew0/';
    case manip_Bhypo05_rew0
        path_pfx5 = 'Bhypo05_rew0/';
    case manip_Bhypo1_rew0
        path_pfx5 = 'Bhypo1_rew0/';
    case manip_Bhypo15_rew0
        path_pfx5 = 'Bhypo15_rew0/';
    case manip_Bhypo2_rew0
        path_pfx5 = 'Bhypo2_rew0/';
    case manip_Bhypo3_rew0
        path_pfx5 = 'Bhypo3_rew0/';
    case manip_Bhyper05_rew0
        path_pfx5 = 'Bhyper05_rew0/';
    case manip_Bhyper1_rew0
        path_pfx5 = 'Bhyper1_rew0/';
    case manip_Bhyper3_rew0
        path_pfx5 = 'Bhyper3_rew0/';
    case manip_Bhyper5_rew0
        path_pfx5 = 'Bhyper5_rew0/';
end;

% Subject number.
path_pfx6 = strcat('subj',num2str(subj_num),'/');

% Set path.
path_name = strcat(path_pfx1,path_pfx2,path_pfx3,path_pfx4,path_pfx5, ...
    path_pfx6);

% Set run prefix.
run_pfx = strcat('r',num2str(run_num),'_');