%
% bsim_show_colldataplot.m
%
% Batch simulation script for showing summary data.
%
% Last modification: 1/21/08


% Set path stuff.
runcoll_path = runcoll_stats;
taskset_path = taskset_TOBS1c_TOBS1crev;
% simphases_path = simphases_maint;
% simphases_path = simphases_train;
simphases_path = simphases_rev;
manip_path = manip_normal;   % not used
subj_num = 1;                % not used
run_num = 1;                 % not used
bsim_setdatapath;

% Set collected data file.
fname = strcat(path_pfx1,path_pfx2,path_pfx3,path_pfx4,'colldata.mat');

% Load the collected data file.
load(fname);

%
% MAINTENANCE PHASE GRAPHS
%

% Set text strings.
% title1_str = 'DA Effect on Maintenance RT';
% title2_str = 'DA Effect on Maintenance RT';
% ylabel_str = 'RT (in ms)';
% y_axis_min = 600;
% y_axis_max = 2600;
% the_data = mean_RTs;

% title1_str = 'DA Effect on Maint Rew-to-Next-Resp';
% title2_str = 'DA Effect on Maintenance Reward to Next Response Interval';
% ylabel_str = 'Interval (in ms)';
% y_axis_min = 0;
% y_axis_max = 200000;
% the_data = mean_rew_to_next_resps;

% title1_str = 'DA Effect on Maint % Missed';
% title2_str = 'DA Effect on Maintenance Average Percent Missed';
% ylabel_str = 'Percent Missed';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = ave_pct_missed;

% title1_str = 'DA Effect on Maint Test % Correct';
% title2_str = 'DA Effect on Maintenance Test Run Percent Correct';
% ylabel_str = 'Last 13 Trial Percent Correct';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_accur_meas;

% title1_str = 'DA Effect on Maint Test % Incorrect';
% title2_str = 'DA Effect on Maintenance Test Run Percent Incorrect';
% ylabel_str = 'Last 13 Trial Percent Incorrect';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_incorr_meas;

% title1_str = 'DA Effect on Maint Test % Missed';
% title2_str = 'DA Effect on Maintenance Test Run Percent Missed';
% ylabel_str = 'Last 13 Trial Percent Missed';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_missed_meas;

% title1_str = 'DA Effect on Maint Test % Conflict';
% title2_str = 'DA Effect on Maintenance Test Run Percent Conflict';
% ylabel_str = 'Last 13 Trial Percent Conflict';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_conflict_meas;

% title1_str = 'DA Effect on Maint Test % Extra Resp';
% title2_str = 'DA Effect on Maintenance Test Run Percent Extra Response';
% ylabel_str = 'Last 13 Trial Percent Extra Response';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_extra_resp_meas;

% title1_str = 'DA Effect on Maint Test % Late Resp';
% title2_str = 'DA Effect on Maintenance Test Run Percent Late Response';
% ylabel_str = 'Last 13 Trial Percent Late Response';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_late_meas;

% title1_str = 'DA Effect on Maint % Learned Subjs';
% title2_str = 'DA Effect on Maintenance Percent Learned Subjects';
% ylabel_str = 'Percent of Subjects That Learned';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = 100 * sum(conj_learned_meas,2) / size(conj_learned_meas,2);

% title1_str = 'DA Effect on Maint Babble Units';
% title2_str = 'DA Effect on Maintenance Average Babble Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_babble_activ_meas;

% title1_str = 'DA Effect on Maint Plan Units';
% title2_str = 'DA Effect on Maintenance Average Plan Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 5.1;
% the_data = ave_plan_activ_meas;

% title1_str = 'DA Effect on Maint NReq Units';
% title2_str = 'DA Effect on Maintenance Average Nod Request Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_nod_req_activ_meas;

% title1_str = 'DA Effect on Maint SReq Units';
% title2_str = 'DA Effect on Maintenance Average Shake Request Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_shake_req_activ_meas;

% title1_str = 'DA Effect on Maint BReq Units';
% title2_str = 'DA Effect on Maintenance Average Babble Request Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_babble_req_activ_meas;

% title1_str = 'DA Effect on Maint NGo Units';
% title2_str = 'DA Effect on Maintenance Average Nod Go Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_nod_go_activ_meas;

% title1_str = 'DA Effect on Maint SGo Units';
% title2_str = 'DA Effect on Maintenance Average Shake Go Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_shake_go_activ_meas;

% title1_str = 'DA Effect on Maint BGo Units';
% title2_str = 'DA Effect on Maintenance Average Babble Go Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_babble_go_activ_meas;

% title1_str = 'DA Effect on Maint NNoGo Units';
% title2_str = 'DA Effect on Maintenance Average Nod NoGo Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_nod_nogo_activ_meas;

% title1_str = 'DA Effect on Maint SNoGo Units';
% title2_str = 'DA Effect on Maintenance Average Shake NoGo Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_shake_nogo_activ_meas;

% title1_str = 'DA Effect on Maint BNoGo Units';
% title2_str = 'DA Effect on Maintenance Average Babble NoGo Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_babble_nogo_activ_meas;

%
% TRAINING PHASE GRAPHS
%

% title1_str = 'DA Effect on Train Test % Correct';
% title2_str = 'DA Effect on Training Test Run Percent Correct';
% ylabel_str = 'Last 13 Trial Percent Correct';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_accur_meas;

% title1_str = 'DA Effect on Train Test % Incorrect';
% title2_str = 'DA Effect on Training Test Run Percent Incorrect';
% ylabel_str = 'Last 13 Trial Percent Incorrect';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_incorr_meas;

% title1_str = 'DA Effect on Train Test % Missed';
% title2_str = 'DA Effect on Training Test Run Percent Missed';
% ylabel_str = 'Last 13 Trial Percent Missed';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_missed_meas;

% title1_str = 'DA Effect on Train Test % Conflict';
% title2_str = 'DA Effect on Training Test Run Percent Conflict';
% ylabel_str = 'Last 13 Trial Percent Conflict';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_conflict_meas;

% title1_str = 'DA Effect on Train Test % Extra Resp';
% title2_str = 'DA Effect on Training Test Run Percent Extra Response';
% ylabel_str = 'Last 13 Trial Percent Extra Response';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_extra_resp_meas;

% title1_str = 'DA Effect on Train Test % Late Resp';
% title2_str = 'DA Effect on Training Test Run Percent Late Response';
% ylabel_str = 'Last 13 Trial Percent Late Response';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_late_meas;

% title1_str = 'DA Effect on Train % Learned Subjs';
% title2_str = 'DA Effect on Training Percent Learned Subjects';
% ylabel_str = 'Percent of Subjects That Learned';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = 100 * sum(conj_learned_meas,2) / size(conj_learned_meas,2);

% title1_str = 'DA Effect on Train % Incorr Wr Guess';
% title2_str = 'DA Effect on Training Percent Incorrect Wrong Guess First';
% ylabel_str = 'Percent Incorrect';
% y_axis_min = -1;
% y_axis_max = 41;
% the_data = ave_pct_incorrect .* wrong_guess_first_meas;

% title1_str = 'DA Effect on Train Babble Units';
% title2_str = 'DA Effect on Training Average Babble Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_babble_activ_meas;

% title1_str = 'DA Effect on Train Plan Units';
% title2_str = 'DA Effect on Training Average Plan Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 5.1;
% the_data = ave_plan_activ_meas;

% title1_str = 'DA Effect on Train NReq Units';
% title2_str = 'DA Effect on Training Average Nod Request Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_nod_req_activ_meas;

% title1_str = 'DA Effect on Train SReq Units';
% title2_str = 'DA Effect on Training Average Shake Request Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_shake_req_activ_meas;

% title1_str = 'DA Effect on Train BReq Units';
% title2_str = 'DA Effect on Training Average Babble Request Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_babble_req_activ_meas;

% title1_str = 'DA Effect on Train NGo Units';
% title2_str = 'DA Effect on Training Average Nod Go Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_nod_go_activ_meas;

% title1_str = 'DA Effect on Train SGo Units';
% title2_str = 'DA Effect on Training Average Shake Go Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_shake_go_activ_meas;

% title1_str = 'DA Effect on Train BGo Units';
% title2_str = 'DA Effect on Training Average Babble Go Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_babble_go_activ_meas;

% title1_str = 'DA Effect on Train NNoGo Units';
% title2_str = 'DA Effect on Training Average Nod NoGo Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_nod_nogo_activ_meas;

% title1_str = 'DA Effect on Train SNoGo Units';
% title2_str = 'DA Effect on Training Average Shake NoGo Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_shake_nogo_activ_meas;

% title1_str = 'DA Effect on Train BNoGo Units';
% title2_str = 'DA Effect on Training Average Babble NoGo Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_babble_nogo_activ_meas;

%
% REVERSAL PHASE GRAPHS
%

% title1_str = 'DA Effect on Rev Test % Correct';
% title2_str = 'DA Effect on Reversal Test Run Percent Correct';
% ylabel_str = 'Last 13 Trial Percent Correct';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_accur_meas;

% title1_str = 'DA Effect on Rev Test % Incorrect';
% title2_str = 'DA Effect on Reversal Test Run Percent Incorrect';
% ylabel_str = 'Last 13 Trial Percent Incorrect';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_incorr_meas;

% title1_str = 'DA Effect on Rev Test % Missed';
% title2_str = 'DA Effect on Reversal Test Run Percent Missed';
% ylabel_str = 'Last 13 Trial Percent Missed';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_missed_meas;

% title1_str = 'DA Effect on Rev Test % Conflict';
% title2_str = 'DA Effect on Reversal Test Run Percent Conflict';
% ylabel_str = 'Last 13 Trial Percent Conflict';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_conflict_meas;

% title1_str = 'DA Effect on Rev Test % Extra Resp';
% title2_str = 'DA Effect on Reversal Test Run Percent Extra Response';
% ylabel_str = 'Last 13 Trial Percent Extra Response';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_extra_resp_meas;

% title1_str = 'DA Effect on Rev Test % Late Resp';
% title2_str = 'DA Effect on Reversal Test Run Percent Late Response';
% ylabel_str = 'Last 13 Trial Percent Late Response';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = end_late_meas;

% title1_str = 'DA Effect on Rev % Learned Subjs';
% title2_str = 'DA Effect on Reversal Percent Learned Subjects';
% ylabel_str = 'Percent of Subjects That Learned';
% y_axis_min = -1;
% y_axis_max = 101;
% the_data = 100 * sum(conj_learned_meas,2) / size(conj_learned_meas,2);

% title1_str = 'DA Effect on Rev % Incorr';
% title2_str = 'DA Effect on Reversal Average Percent Incorrect';
% ylabel_str = 'Percent Incorrect';
% y_axis_min = -1;
% y_axis_max = 51;
% the_data = ave_pct_incorrect;

% title1_str = 'DA Effect on Rev Babble Units';
% title2_str = 'DA Effect on Reversal Average Babble Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_babble_activ_meas;

% title1_str = 'DA Effect on Rev Plan Units';
% title2_str = 'DA Effect on Reversal Average Plan Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 5.1;
% the_data = ave_plan_activ_meas;

% title1_str = 'DA Effect on Rev NReq Units';
% title2_str = 'DA Effect on Reversal Average Nod Request Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_nod_req_activ_meas;

% title1_str = 'DA Effect on Rev SReq Units';
% title2_str = 'DA Effect on Reversal Average Shake Request Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_shake_req_activ_meas;

% title1_str = 'DA Effect on Rev BReq Units';
% title2_str = 'DA Effect on Reversal Average Babble Request Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_babble_req_activ_meas;

% title1_str = 'DA Effect on Rev NGo Units';
% title2_str = 'DA Effect on Reversal Average Nod Go Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_nod_go_activ_meas;

% title1_str = 'DA Effect on Rev SGo Units';
% title2_str = 'DA Effect on Reversal Average Shake Go Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_shake_go_activ_meas;

% title1_str = 'DA Effect on Rev BGo Units';
% title2_str = 'DA Effect on Reversal Average Babble Go Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_babble_go_activ_meas;

% title1_str = 'DA Effect on Rev NNoGo Units';
% title2_str = 'DA Effect on Reversal Average Nod NoGo Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_nod_nogo_activ_meas;

% title1_str = 'DA Effect on Rev SNoGo Units';
% title2_str = 'DA Effect on Reversal Average Shake NoGo Unit Activity';
% ylabel_str = 'Average Activation';
% y_axis_min = -0.1;
% y_axis_max = 0.8;
% the_data = ave_shake_nogo_activ_meas;

title1_str = 'DA Effect on Rev BNoGo Units';
title2_str = 'DA Effect on Reversal Average Babble NoGo Unit Activity';
ylabel_str = 'Average Activation';
y_axis_min = -0.1;
y_axis_max = 0.8;
the_data = ave_babble_nogo_activ_meas;

num_conds = size(the_data,1);

% manip_conds = [ manip_NShypo3 manip_NShypo2 manip_NShypo15 ...
%     manip_NShypo1 manip_NShypo05 manip_normal manip_NShyper05 ...
%     manip_NShyper1 manip_NShyper3 manip_NShyper5 ];
% manip_conds = [ manip_Bhypo3 manip_Bhypo2 manip_Bhypo15 ...
%     manip_Bhypo1 manip_Bhypo05 manip_normal manip_Bhyper05 ...
%     manip_Bhyper1 manip_Bhyper3 manip_Bhyper5 ];
% manip_conds = [ manip_PRhypo3 manip_PRhypo2 manip_PRhypo15 ...
%     manip_PRhypo1 manip_PRhypo05 manip_normal manip_PRhyper05 ...
%     manip_PRhyper1 manip_PRhyper3 manip_PRhyper5 ];
% manip_conds = [ manip_ghypo3 manip_ghypo2 manip_ghypo15 ...
%     manip_ghypo1 manip_ghypo05 manip_normal manip_ghyper05 ...
%     manip_ghyper1 manip_ghyper3 manip_ghyper5 ];
% if (manip_conds(1) == manip_NShypo3)
%     pathmanip_ind = 1;
% elseif (manip_conds(1) == manip_Bhypo3)
%     pathmanip_ind = 2;    
% elseif (manip_conds(1) == manip_PRhypo3)
%     pathmanip_ind = 3;        
% elseif (manip_conds(1) == manip_ghypo3)
%     pathmanip_ind = 4;  
% end;

% Separate plot view
figure;
subplot(2,2,1);
dat_means = zeros(1,num_conds);
dat_stds = zeros(1,num_conds);
for xx = 1:num_conds
    dat_means(xx) = mean(the_data(xx,:,1));
    dat_stds(xx) = std(the_data(xx,:,1));
end;
errorbar(dat_means,dat_stds);
title(title1_str);
xlabel('DA Condition');
ylabel(ylabel_str);
set(gca,'XTick',1:num_conds);
axis([0.5 (num_conds + 0.5) y_axis_min y_axis_max]);
set(gca,'XTickLabel',{'ns3';'ns2';'ns15';'ns1';'ns05';'norm';'NS05'; ...
    'NS1';'NS3';'NS5'}); 
 
subplot(2,2,2);
dat_means = zeros(1,num_conds);
dat_stds = zeros(1,num_conds);
for xx = 1:num_conds
    dat_means(xx) = mean(the_data(xx,:,2));
    dat_stds(xx) = std(the_data(xx,:,2));
end;
errorbar(dat_means,dat_stds);
title(title1_str);
xlabel('DA Condition');
ylabel(ylabel_str);
set(gca,'XTick',1:num_conds);
axis([0.5 (num_conds + 0.5) y_axis_min y_axis_max]);
set(gca,'XTickLabel',{'b3';'b2';'b15';'b1';'b05';'norm';'B05'; ...
    'B1';'B3';'B5'}); 

subplot(2,2,3);
dat_means = zeros(1,num_conds);
dat_stds = zeros(1,num_conds);
for xx = 1:num_conds
    dat_means(xx) = mean(the_data(xx,:,3));
    dat_stds(xx) = std(the_data(xx,:,3));
end;
errorbar(dat_means,dat_stds);
title(title1_str);
xlabel('DA Condition');
ylabel(ylabel_str);
set(gca,'XTick',1:num_conds);
axis([0.5 (num_conds + 0.5) y_axis_min y_axis_max]);
set(gca,'XTickLabel',{'pr3';'pr2';'pr15';'pr1';'pr05';'norm';'PR05'; ...
    'PR1';'PR3';'PR5'});   
    
subplot(2,2,4);
dat_means = zeros(1,num_conds);
dat_stds = zeros(1,num_conds);
for xx = 1:num_conds
    dat_means(xx) = mean(the_data(xx,:,4));
    dat_stds(xx) = std(the_data(xx,:,4));
end;
errorbar(dat_means,dat_stds);
title(title1_str);
xlabel('DA Condition');
ylabel(ylabel_str);
set(gca,'XTick',1:num_conds);
axis([0.5 (num_conds + 0.5) y_axis_min y_axis_max]);
set(gca,'XTickLabel',{'g3';'g2';'g15';'g1';'g05';'norm';'G05'; ...
    'G1';'G3';'G5'});

% Overlaid multicolor plot view.
figure;
dat_means = zeros(1,num_conds);
dat_stds = zeros(1,num_conds);
for xx = 1:num_conds
    dat_means(xx) = mean(the_data(xx,:,1));
    dat_stds(xx) = std(the_data(xx,:,1));
end;
errorbar(dat_means,dat_stds,'r');
hold on;
for xx = 1:num_conds
    dat_means(xx) = mean(the_data(xx,:,2));
    dat_stds(xx) = std(the_data(xx,:,2));
end;
errorbar(dat_means,dat_stds,'g');
for xx = 1:num_conds
    dat_means(xx) = mean(the_data(xx,:,3));
    dat_stds(xx) = std(the_data(xx,:,3));
end;
errorbar(dat_means,dat_stds,'b');
for xx = 1:num_conds
    dat_means(xx) = mean(the_data(xx,:,4));
    dat_stds(xx) = std(the_data(xx,:,4));
end;
errorbar(dat_means,dat_stds,'k');
hold off;
title(title2_str);
xlabel('DA Condition');
ylabel(ylabel_str);
set(gca,'XTick',1:num_conds);
axis([0.5 (num_conds + 0.5) y_axis_min y_axis_max]);
set(gca,'XTickLabel',{'x3';'x2';'x15';'x1';'x05';'norm';'X05'; ...
    'X1';'X3';'X5'});
legend('Nod/Shake','Babble','Plan/Request','All');