%
% c_tone_punish_simrun.m
%
% Run a simulation that punishes the camera organism sometimes when a C 
% tone is heard.
%
% Last modification: 5/12/07


% Set the stimulus count to 0 if we're just getting started.
if (last_event_type == event_null)
    stim_count = 0;
end;

% Pick the next event (curr_event_type is currently event_null).
if ((last_event_type == event_delay) || (last_event_type == event_null))
    r = rand;
    if (stim_count < 8)        
        curr_event_type = event_c_delpun;  
    elseif (stim_count < 14)
        curr_event_type = event_c_noresp;  
    else
        curr_event_type = event_c_delpun;
    end;
    stim_count = stim_count + 1;
else
    curr_event_type = event_delay;
end;