%
% fetchps_area_activs_iter.m
%
% Get the activations of the network area indexed by area_ind at 
% time step time_ind.  Use after a simulation run.
%
% Depends on: area_ind, time_ind, output, Area_xy
%
% Last modification: 6/6/07

% Find the upper and lower indices for the units we want to look at.
lo_bound = 1;
for xx_faai = 1:area_ind - 1
    lo_bound = lo_bound + Area_xy(xx_faai,3);
end;
hi_bound = lo_bound + Area_xy(area_ind,3) - 1;

% Grab the activations we're interested in.
activs = output(lo_bound:hi_bound,time_ind)';
activs = reshape(activs,Area_xy(area_ind,2),Area_xy(area_ind,1));