%
% fetchps_unit_fascin_alliters.m
%
% Get the net input of a fascicle fasc_ind into a unit selected by area_ind,
% x_ind, and y_ind.  Output is activ_trace.  Use after a simulation run.
%
% Depends on: area_ind, x_ind, y_ind, fasc_ind, num_iters, output, Area_xy
%
% Last modification: 6/6/07

% Remember the area whose unit we're interested in.
the_area = area_ind;
 
fascin_trace = zeros(1,num_iters);
for xx_fufa = 2:num_iters
    % Get the weights of the current time step.
    area_ind = the_area;
    fanin = 1;
    time_ind = xx_fufa;
    fetchps_cell_wts_iter;
    
    % Get the activations of the source layer for the previous time step.
    area_ind = Conn_fromto(fasc_ind,1);
    time_ind = xx_fufa - 1;
    fetchps_area_activs_iter;
    
    % Calculate the net input contribution.
    fascin_trace(xx_fufa) = sum(sum(activs .* wts));
end;