%
% init_PISHTAR_types.m
%
% Create the types used by simulation.
%
% Last modification: 8/16/07


%
% Define PISHTAR type values.  (Text variables are more explanatory than
% magic numbers.)
%

% Set keystroke ASCII values (for ease of coding).
ch_esc = 27;

ch_d = 100;
ch_s = 115;
ch_f = 102;
ch_e = 101;
ch_c = 99;
ch_w = 119;
ch_r = 114;
ch_x = 120;
ch_v = 118;

ch_q = 113;
ch_a = 97;
ch_z = 122;

ch_t = 116;
ch_g = 103;
ch_b = 98;

ch_j = 106;
ch_k = 107;
ch_l = 108;

ch_u = 117;
ch_i = 105;
ch_o = 111;

ch_m = 109;
ch_comma = 0;
ch_period = 0;

ch_y = 121;
ch_h = 104;
ch_n = 110;

ch_1 = 49;
ch_2 = 50;
ch_3 = 51;
ch_4 = 52;
ch_5 = 53;
ch_6 = 54;
ch_7 = 55;
ch_8 = 56;
ch_9 = 57;

% Set stimulus shape types.
shape_none = 0;
shape_square = 1;
shape_diamond = 2;

% Set stimulus color types.
color_black = 0;
color_blue = 1;
color_red = 2;
color_green = 3;
color_yellow = 4;
color_violet = 5;
color_last = 5;

% Set tone types.
tone_none = 0;
tone_c = 1;
tone_dflat = 2;
tone_d = 3;
tone_eflat = 4;
tone_e = 5;
tone_f = 6;
tone_gflat = 7;
tone_g = 8;
tone_aflat = 9;
tone_a = 10;
tone_bflat = 11;
tone_b = 12;

% Set stimulus behavior types.
bhvr_avatared = 0;
bhvr_centerdrop = 1;
bhvr_rnddrop = 2;

% Set reward trigger types.
rtrigger_none = 0;
rtrigger_nod = 1;
rtrigger_shake = 2;
rtrigger_delay = 3;

% Set punisher trigger types.
ptrigger_none = 0;
ptrigger_wrong = 1;
ptrigger_wr_delays = 2;
ptrigger_wr_dl_extras = 3;
ptrigger_wr_dl_ex_miss = 4;
ptrigger_delay = 5;

% Set simulation event types.
event_null = 0;
event_delay = 1;
event_blue_accept = 2;
event_blue_reject = 3;
event_red_accept = 4;
event_red_reject = 5;
event_green_accept = 6;
event_green_reject = 7;
event_yellow_accept = 8;
event_yellow_reject = 9;
event_violet_accept = 10;
event_violet_reject = 11;
event_c_accept = 12;
event_c_reject = 13;
event_c_noresp = 14;
event_c_delrew = 15;
event_c_delpun = 16;
event_eflat_accept = 17;
event_eflat_reject = 18;
event_eflat_noresp = 19;
event_eflat_delrew = 20;
event_eflat_delpun = 21;
event_gflat_accept = 22;
event_gflat_reject = 23;
event_gflat_noresp = 24;
event_gflat_delrew = 25;
event_gflat_delpun = 26;
event_a_accept = 27;
event_a_reject = 28;
event_a_noresp = 29;
event_a_delrew = 30;
event_a_delpun = 31;

% Set simulation run type.
simrun_blue_select = 1;
simrun_red_select = 2;
simrun_dms_select = 3;
simrun_dnms_select = 4;
simrun_combo_taskset = 5;
simrun_combo_rev_taskset = 6;
simrun_c_tone_reward = 7;
simrun_c_tone_punish = 8;

% Set brain types.
brain_avatared = 0;
brain_rule_based = 1;
brain_null_model = 2;
brain_cog_model = 3;