%
% load_pantilt_sim.m
%
% Load an already-run simulation of the pan-tilt camera robot, brains and 
% all.
%
% Last modification: 6/26/07


% Load simulation run parameters.
load sim_run_params;

% Initialize the simulator types.
init_PISHTAR_types;

% Load the simulation output data;
disp('Loading simulation output data...');
load(sim_out_fname);

% If we're running a cognitive (neural) model...
if (brain_type == brain_cog_model)
    % Load model parameters (connectivity and cell/channel-types).
    load(start_model_fname);

    % Load physiological parameters (cells and channels).
    load(phys_fname);
  
    % Load the neural output data;
    disp('Loading neural output data...');
    load(cogmodel_out_fname);
    
    % Get indices for different parts of the model.
    get_cog_model_indices;  
end;