%
% save_new_demo.m
%
% Back up the current saved model weights if we have a saved trained model
% parm file.
%
% Last modification: 8/15/07


% Clear all variables and close all windows.
% clear all;
% close all;

% Load simulation run parameters.
load sim_run_params;

% Set the demo file names
demo_phys_parm_fname = 'phys_parm_8.15.07.dat';
demo_model_parm_fname = 'model_8.15.07.dat';
demo_sim_out_fname = 'latest_demo_sim_out';   
        % don't need to tack on '.mat'
demo_cogmodel_out_fname = 'latest_demo_cog_out';   
        % don't need to tack on '.mat'
demo_start_model_fname = 'latest_demo_modl_parm';   
        % don't need to tack on '.mat'
demo_train_model_fname = 'latest_demo_modl_parm_tr';   
        % don't need to tack on '.mat'
demo_prev_train_model_fname = 'latest_demo_prev_modl_parm_tr'; 
        % don't need to tack on '.mat'
demo_backup_model_fname = 'latest_demo_backup_modl_parm_tr';   
        % don't need to tack on '.mat'        
demo_phys_fname = 'latest_demo_phys_parm';   % don't need to tack on '.mat'   

% Try to copy the files.
sfname = phys_parm_fname;
tfname = demo_phys_parm_fname;
cp_err = copyfile(sfname,tfname);
if (cp_err == 0)
    disp('The phys_parm_fname file doesn''t exist.');
end;

sfname = model_parm_fname;
tfname = demo_model_parm_fname;
cp_err = copyfile(sfname,tfname);
if (cp_err == 0)
    disp('The model_parm_fname file doesn''t exist.');
end;

sfname = strcat(sim_out_fname,'.mat');
tfname = strcat(demo_sim_out_fname,'.mat');
cp_err = copyfile(sfname,tfname);
if (cp_err == 0)
    disp('The sim_out_fname file doesn''t exist.');
end;

sfname = strcat(cogmodel_out_fname,'.mat');
tfname = strcat(demo_cogmodel_out_fname,'.mat');
cp_err = copyfile(sfname,tfname);
if (cp_err == 0)
    disp('The cogmodel_out_fname file doesn''t exist.');
end;

sfname = strcat(start_model_fname,'.mat');
tfname = strcat(demo_start_model_fname,'.mat');
cp_err = copyfile(sfname,tfname);
if (cp_err == 0)
    disp('The start_model_fname file doesn''t exist.');
end;

sfname = strcat(train_model_fname,'.mat');
tfname = strcat(demo_train_model_fname,'.mat');
cp_err = copyfile(sfname,tfname);
if (cp_err == 0)
    disp('The train_model_fname file doesn''t exist.');
end;

sfname = strcat(prev_train_model_fname,'.mat');
tfname = strcat(demo_prev_train_model_fname,'.mat');
cp_err = copyfile(sfname,tfname);
if (cp_err == 0)
    disp('The prev_train_model_fname file doesn''t exist.');
end;

sfname = strcat(backup_model_fname,'.mat');
tfname = strcat(demo_backup_model_fname,'.mat');
cp_err = copyfile(sfname,tfname);
if (cp_err == 0)
    disp('The backup_model_fname file doesn''t exist.');
end;

sfname = strcat(phys_fname,'.mat');
tfname = strcat(demo_phys_fname,'.mat');
cp_err = copyfile(sfname,tfname);
if (cp_err == 0)
    disp('The phys_fname file doesn''t exist.');
end;  