%
% sim_run.m
%
% Run a simulation according to the simulation run parameters.
%
% Last modification: 6/7/07


% Save simulation run arguments (null if none were given).
if (isempty(who('sr_sargs')))
    sr_sargs = [];
end;
save sim_run_sargs sr_sargs;

% Clear all variables and close all windows.
clear all;
close all;

% Load the simulation run parameters.
load sim_run_params;

% Remember that we're not starting with a fresh model.
fresh_model = 0;

% Run the appropriate script to simulate the model.
if (strcmp(simulation_model,'MainModel'))
    run_pantilt_sim
elseif (strcmp(simulation_model,'DACriticModel'))
    DA_critic_sim    
elseif (strcmp(simulation_model,'TestModel'))    
    test_sim    
elseif (strcmp(simulation_model,'LayerModel'))    
    layer_sim
end;