%
% Set the Wilson/Cowan unit parameters.
%

% Afferents to subunits.
% netE = 0.07;
% netI = 0.0;

% Standard units I've been using.
% wEE = 0.6;
% wEI = 0.15;
% wIE = -0.15;
% betaE = 9;
% tauE = 0.3;
% betaI = 20;
% tauI = 0.1;

% Read the WC parameters off the edit boxes.
netE = str2num(get(handles.edit1,'String'));
netI = str2num(get(handles.edit2,'String'));
wEE = str2num(get(handles.edit3,'String'));
wEI = str2num(get(handles.edit4,'String'));
wIE = str2num(get(handles.edit5,'String'));
betaE = str2num(get(handles.edit6,'String'));
tauE = str2num(get(handles.edit7,'String'));
betaI = str2num(get(handles.edit8,'String'));
tauI = str2num(get(handles.edit9,'String'));

figure(1);
% axis([0 1 0 1]);

% Show the dI/dt nullcline.
Iact = [0.01:0.01:0.99];
Eact = (invsigm(tauI,betaI,Iact) - netI) / wEI;
h1 = plot(Iact,Eact,'r');

hold on;

% Show the dE/dt nullcline.
Eact = [0.01:0.01:0.99];
Iact = (invsigm(tauE,betaE,Eact) - wEE .* Eact - netE) / wIE;
h2 = plot(Iact,Eact,'g');

% Show the activation boundaries.
Eact = [0:0.01:1];
Iact = zeros(1,size(Eact,2));
plot(Iact,Eact);
Iact = ones(1,size(Eact,2));
plot(Iact,Eact);
Iact = [0:0.01:1];
Eact = zeros(1,size(Iact,2));
plot(Iact,Eact);
Eact = ones(1,size(Iact,2));
plot(Iact,Eact);

hold off;

xlabel('I');
ylabel('E');
legend([h1,h2],'I Nullcline','E Nullcline');
% axis([0 1 0 1]);
axis([-1 2 -1 2]);